<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: MCodingInfoUTF Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>MCodingInfoUTF Struct Reference<br/>
<small>
[<a class="el" href="group__m17nConv.html">Code Conversion</a>]</small>
</h1><!-- doxytag: class="MCodingInfoUTF" -->
<p>Structure for extra information about a coding system of type <a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efba52dc03931e768c13c7968dcf817c7ad7">MCODING_TYPE_UTF</a>.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMCodingInfoUTF.html#ad1a0a99c0bc1b2d78090df6824c28fe8">code_unit_bits</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMCodingInfoUTF.html#a76136aaed031c21a9d8ea4ebc32bddf4">bom</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMCodingInfoUTF.html#ac0c8e457d17f8e5e4b7e19265c7c04d4">endian</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Structure for extra information about a coding system of type <a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efba52dc03931e768c13c7968dcf817c7ad7">MCODING_TYPE_UTF</a>. </p>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="ad1a0a99c0bc1b2d78090df6824c28fe8"></a><!-- doxytag: member="MCodingInfoUTF::code_unit_bits" ref="ad1a0a99c0bc1b2d78090df6824c28fe8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMCodingInfoUTF.html#ad1a0a99c0bc1b2d78090df6824c28fe8">MCodingInfoUTF::code_unit_bits</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Specify bits of a code unit. The value must be 8, 16, or 32. </p>

</div>
</div>
<a class="anchor" id="a76136aaed031c21a9d8ea4ebc32bddf4"></a><!-- doxytag: member="MCodingInfoUTF::bom" ref="a76136aaed031c21a9d8ea4ebc32bddf4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMCodingInfoUTF.html#a76136aaed031c21a9d8ea4ebc32bddf4">MCodingInfoUTF::bom</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Specify how to handle the heading BOM (byte order mark). The value must be 0, 1, or 2. The meanings are as follows:</p>
<p>0: On decoding, check the first two byte. If they are BOM, decide endian by them. If not, decide endian by the member <code>endian</code>. On encoding, produce byte sequence according to <code>endian</code> with heading BOM.</p>
<p>1: On decoding, do not handle the first two bytes as BOM, and decide endian by <code>endian</code>. On encoding, produce byte sequence according to <code>endian</code> without BOM.</p>
<p>2: On decoding, handle the first two bytes as BOM and decide ending by them. On encoding, produce byte sequence according to <code>endian</code> with heading BOM.</p>
<p>If &lt;code_unit_bits&gt; is 8, the value has no meaning. </p>

</div>
</div>
<a class="anchor" id="ac0c8e457d17f8e5e4b7e19265c7c04d4"></a><!-- doxytag: member="MCodingInfoUTF::endian" ref="ac0c8e457d17f8e5e4b7e19265c7c04d4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMCodingInfoUTF.html#ac0c8e457d17f8e5e4b7e19265c7c04d4">MCodingInfoUTF::endian</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Specify the endian type. The value must be 0 or 1. 0 means little endian, and 1 means big endian.</p>
<p>If &lt;code_unit_bits&gt; is 8, the value has no meaning. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
